%def_with alsa
%def_with arts
%define alsa_ver 0.9.0rc7

Name: tse3
Version: 0.2.7
Release: alt4.1

Summary: Trax Sequencer Engine
License: GPL
Group: Sound
Url: http://tse3.sourceforge.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://download.sourceforge.net/TSE3/%name-%version.tar.gz
Patch: tse3_sustain_patch.patch.bz2
# fron Suse package
Patch1: %name-lp64.patch
Patch2: %name-fix-compile-gcc-3.4.patch.bz2

%if_with alsa
BuildPreReq: libalsa-devel >= %alsa_ver
%endif

%if_with arts
BuildPreReq: libarts-devel kdemultimedia-arts kdemultimedia-devel libalsa-devel >= %alsa_ver
%endif

BuildPreReq: kernel-headers-std

# Automatically added by buildreq on Fri Nov 29 2002
BuildRequires: XFree86-libs fontconfig-devel freetype2 gcc-c++ glibc-devel-static libXft libart_lgpl libaudiofile-devel libexpat libfontconfig libjpeg liblcms libmad-devel libmng libogg-devel libqt3 libstdc++-devel libvorbis-devel

%description
TSE3 is a powerful open source sequencer engine written in C++. It is
a 'sequencer engine' because it provides the actual driving force
elements of a sequencer but provides no form of fancy interface.
Sequencer applications or multimedia presentation packages will
incorporate the TSE3 libraries to provide a user with MIDI sequencing
facilities.

%package -n lib%name
Summary: Trax Sequencer Engine library
Group: System/Libraries
%if_with alsa
Requires: libalsa2 >= %alsa_ver
%endif

%description -n lib%name
TSE3 (Trax Sequencer Engine) library.
TSE3 is a powerful open source sequencer engine written in C++. It is a
'sequencer engine' because it provides the actual driving force elements
of a sequencer but provides no form of fancy interface. Sequencer
applications or multimedia presentation packages will incorporate the
TSE3 libraries to provide a user with MIDI sequencing facilities.

%package -n lib%name-devel
Summary: Tse3 header files
Group: Development/C++
Requires: lib%name = %version-%release
%if_with alsa
Requires: libalsa2-devel >= %alsa_ver
%endif
%if_with arts
Requires: libarts-devel
%endif

%description -n lib%name-devel
Tse3 (Trax Sequencer Engine) header files.

%package -n tse3play
Summary: player/converter MIDI or TSE3MDL files
Group: Sound
Requires: lib%name = %version-%release

%description -n tse3play
tse3play - play/convert music files (MIDI or TSE3MDL) using the TSE3
(Trax Sequencer Engine) library.

%define qt_ver_major 3
%define kdedir %(kde-config --prefix)
%define qtdir %_libdir/qt%qt_ver_major
%define customdocdir %_docdir/%name-%version

%prep
%setup -q
%patch -p1
%patch1 -p0
%patch2 -p1 

%build
export KDEDIR=%kdedir
export QTDIR=%qtdir
export CC=%__cxx
%add_optflags -Wno-deprecated
%configure \
    %{subst_with alsa} \
    %{subst_with arts}

# SMP-incompatible build
%make TSE3_ARTS_PREFIX=%_includedir/arts

%install
%makeinstall

# Move docs in proper location
%__mkdir_p %buildroot%_docdir
%__mv %buildroot/usr/doc/%name-%version %buildroot%customdocdir
%__rm -f %buildroot%customdocdir/COPYING

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_libdir/lib*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*
%_man3dir/*
%doc %_docdir/%name-%version

%files -n tse3play
%_bindir/*
%_man1dir/tse3play.*

%changelog
* Fri Jan 21 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.2.7-alt4.1
- fixed build with g++-3.4. (thnx MDK).

* Thu Jun 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.2.7-alt4
- applied tse3_sustain_patch from NoteEdit home page.

* Sun Jan 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.2.7-alt3
- remove unusual dependendencies and buildreqs.

* Fri Dec 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.7-alt2
- do not package .la files.

* Sat Mar 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.7-alt1
- new version. 

* Fri Nov 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.5-alt4
- rebuild 

* Fri Oct 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.5-alt3
- Rebuild with new QT3/KDE3

* Sat Aug 31 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.5-alt1
- 0.2.5

* Tue May 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.3-alt1
- 0.2.3
- alsa2 >= 0.9.0rc1 required.

* Tue May 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.1.3-alt2
- rebuilt with qt3/kde3
- buildrequires updated.

* Sat Apr 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.1.3-alt1
- 0.1.3
- ALSA2 by default.
- aRts header detection now works (patch removed).
- buildreqires updated.

* Mon Jan 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.1.2-alt2
- midi patch applied (fix never stoped notes bug in OSS module).

* Tue Dec 11 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.1.2-alt1
- Updated to 0.1.2, Arts support restored.

* Tue Nov 06 2001 Stanislav Ievlev <inger@altlinux.ru> 0.1.1-alt4
- small spec cleanups
- subpackage devel-static removed (we haven't static libraries yet)

* Mon Nov 5 2001 Yuri N. Sedunov <aris@altlinux.ru> alt3
- separated devel-static and tse3play packages.

* Sat Nov 3 2001 Yuri N. Sedunov <aris@altlinux.ru> alt2
- disabled arts support

* Wed Oct 31 2001 Yuri N. Sedunov <aris@altlinux.ru> alt1
- First build for Sisyphus

